package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 存储磁盘分区
 * @author luyanchao
 */
@Table("disk_partition")
public class DiskPartition extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("disk_id")
    private Long diskId; // 磁盘id
    @Column("partition_identify")
    private Long partitionIdentify; // 分区标识
    @Column("partition_uuid")
    private String partitionUuid; // 分区uuid
    @Column("mount_path")
    private String mountPath; // 挂载路径
    @Column("size_byte")
    private Long sizeByte; // 容量byte
    @Column("used")
    private Boolean used; // 已经使用

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiskId() {
        return diskId;
    }

    public void setDiskId(Long diskId) {
        this.diskId = diskId;
    }

    public Long getPartitionIdentify() {
        return partitionIdentify;
    }

    public void setPartitionIdentify(Long partitionIdentify) {
        this.partitionIdentify = partitionIdentify;
    }

    public String getPartitionUuid() {
        return partitionUuid;
    }

    public void setPartitionUuid(String partitionUuid) {
        this.partitionUuid = partitionUuid;
    }

    public String getMountPath() {
        return mountPath;
    }

    public void setMountPath(String mountPath) {
        this.mountPath = mountPath;
    }

    public Long getSizeByte() {
        return sizeByte;
    }

    public void setSizeByte(Long sizeByte) {
        this.sizeByte = sizeByte;
    }

    public Boolean getUsed() {
        return used;
    }

    public void setUsed(Boolean used) {
        this.used = used;
    }
}
